%define pkg_name        XML-Feed
%define pkg_version     0.12
%define rpm_pkg_version 0.12
%define rpm_pkg_release 1.n0i.3

Summary:       Syndication feed parser and auto-discovery
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BT/BTROTT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
# run
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Feed::Find)
BuildRequires: perl(List::Util)
BuildRequires: perl(URI::Fetch)
BuildRequires: perl(XML::Atom) >= 0.08
BuildRequires: perl(XML::RSS) >= 1.01
# build
BuildRequires: perl(LWP)
BuildRequires: perl(HTML::TokeParser)
%endif

# missing deps
Requires: perl(Class::ErrorHandler)
Requires: perl(DateTime)
Requires: perl(XML::Atom) >= 0.08
Requires: perl(XML::RSS) >= 1.01


%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.12-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.12

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.2
- version 0.08

* Wed Aug 17 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
